cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/connection-string?database=SOME_STRING_VALUE&sql_user=SOME_STRING_VALUE&os=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connection_string": "<string>",
"params": {}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get a formatted generic connection string for a cluster
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
connection-string
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/connection-string?database=SOME_STRING_VALUE&sql_user=SOME_STRING_VALUE&os=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connection_string": "<string>",
"params": {}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
os indicates the target operating system, used with formatting the default SSL certificate path. Required only for dedicated clusters.
Available options:
OS_MAC, OS_LINUX, OS_WINDOWS 
